Download it now!
Bug 133985 - "Merge and Center Cells" dialog: default (active) button is "Cancel"
Summary: "Merge and Center Cells" dialog: default (active) button is "Cancel"
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.1.0.3 release
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.0.0.1 target:7.1.0 target:6.4.5
Keywords: bibisected, bisected, regression
: 133963 (view as bug list)
Depends on:
Blocks:
 
Reported: 2020-06-14 15:08 UTC by Alexander Kurakin
Modified: 2020-06-18 23:53 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Look at button is being clicked! (457.96 KB, video/mp4)
2020-06-14 15:08 UTC, Alexander Kurakin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Kurakin 2020-06-14 15:08:51 UTC
Created attachment 161990 [details]
Look at button is being clicked!

"Merge and Center Cells" dialog: default (active) button is "Cancel" (see the video).
Expected default (active) button: "OK".
Comment 1 Alexander Kurakin 2020-06-14 15:09:22 UTC
*** Bug 133963 has been marked as a duplicate of this bug. ***
Comment 2 Aron Budea 2020-06-14 15:56:20 UTC
Confirmed with LO 7.1.0.0.alpha0+ (8aee8c0cf1bdda1866594e75b0f9bd4b9a69c724) / Ubunutu.
Fine in LO 6.0.0.3.

Regression started with the following commit, bibisected using repo bibisect-linux-64-6.1. Adding CC: to Caolán McNamara.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=736cebb414af587e7ac82f1326b06ce4022badf4
author		Caolán McNamara <caolanm@redhat.com>	2018-05-03 16:46:52 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2018-05-04 09:54:00 +0200

weld ScMergeCellsDialog
Comment 3 Commit Notification 2020-06-14 19:29:28 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/e961537c9965c24c8438c824e22d976c6537d2bd

Resolves: tdf#133985 make ok the default

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2020-06-15 01:45:26 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/38cf1f1535db403acc5c392c10bec50de6d994ba

Resolves: tdf#133985 make ok the default

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2020-06-15 01:45:35 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/9397ba775d177b199e2437b7fd7bb8692eb80a4c

Resolves: tdf#133985 make ok the default

It will be available in 6.4.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2020-06-16 11:01:38 UTC
Verified in

Version: 7.1.0.0.alpha0+
Build ID: 11d21b3c1f7754b5d13ae9ea88da562ec74366ff
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: x11
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!!
Comment 7 Alexander Kurakin 2020-06-16 11:20:13 UTC
Thanks!
Comment 8 Commit Notification 2020-06-17 16:17:37 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-4-5":

https://git.libreoffice.org/core/commit/5f7bfbd6a3a66239b54ec67b7beb91db4143f104

Resolves: tdf#133985 make ok the default

It will be available in 6.4.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.